/* @clake/react-bootstrap4 v2.3.6 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-03-13T16:08:07+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.i18n = void 0;

/**
 * Get navigator language
 * @returns {{name: string, short: string}}
 */
var defLang = undefined;
var i18n = {
  getLang: function getLang() {
    if (defLang) {
      return defLang;
    }

    var lang = navigator.language; //常规浏览器语言和IE浏览器

    var short_lang = lang.substring(0, 2); //截取lang前2位字

    return {
      name: lang,
      "short": short_lang
    };
  },
  setLang: function setLang(lang) {
    defLang = {
      "short": lang,
      name: lang
    };
  }
};
exports.i18n = i18n;
var _default = i18n;
exports["default"] = _default;
//# sourceMappingURL=i18n.js.map
